<?php
namespace OCA\Dematpayslip\Db;

use JsonSerializable;

use OCP\AppFramework\Db\Entity;

class DematpayslipProcess extends Entity implements JsonSerializable {

    protected $processing;
    protected $phase;
    protected $phaseStartTime;
    protected $phaseStep;
    protected $phaseStepNum;
    protected $mustTerminate;
    protected $hasError;
    protected $errorCode;
    protected $errorMsg;
    protected $pdfOrigin;
    protected $csvOrigin;
    protected $csvCheck;
    protected $userId;

    public function jsonSerialize() {
        return [
            'id'             => $this->id,
            'processing'     => $this->processing,
            'phase'          => $this->phase,
            'phaseStartTime' => $this->phaseStartTime,
            'phaseStep'      => $this->phaseStep,
            'phaseStepNum'   => $this->phaseStepNum,
            'mustTerminate'  => $this->mustTerminate,
            'hasError'       => $this->hasError,
            'errorCode'      => $this->errorCode,
            'errorMsg'       => $this->errorMsg,
            'csvOrigin'      => $this->csvOrigin,
            'pdfOrigin'      => $this->pdfOrigin,
            'csvCheck'       => $this->csvCheck,
            'userId'         => $this->userId,
        ];
    }
}
